2017-04-03 11:10 - theleo_ua

Status: New Start date: 2017-04-03
Priority: Normal % Done: 0%
Assignee: skyjake
Description

Fov 160 issues with texture filtering

1) Set fov to 160
2) Try to play Hexen DK on map07 near lava like in this video: https://www.youtube.com/watch?v=XuCIF_n6WVI

Actual result: lava looks weird: http://storage3.static.itmages.ru/i/17/0403/h_1491206111_9574144 a23afad644.png (watch at 2:06
of the video https://www.youtube.com/watch?v=XuCIF_n6WVI#t=2m06s )
Expected result: lava should look like this: http://storage9.static.itmages.ru/i/17/0403/h_1491206699_4832714_d3ca97bb2c.png

Also | created some additional screenshots related to texture filtering with fov 160 (texture filtering issues marked with red):

Doomsday 2.0 fov 160:
http://storage9.static.itmages.ru/i/17/0403/h_1491206087_6606889_9f191fef16.png
http://storage9.static.itmages.ru/i/17/0403/h_1491206087_ 9865393 d83301e3d7.png

Doomsday 1.8.6 fov 120:
http://storage6.static.itmages.ru/i/17/0403/h_1491206066_4779912_ca7f5b3cb0.png
http://storage6.static.itmages.ru/i/17/0403/h_1491206066_3518049 465e49ad6a.png

GZDoom 2.4.0 fov 120:
http://storage4.static.itmages.ru/i/17/0403/h_1491206030_9323015_e1c7ae0290.png
http://storage4.static.itmages.ru/i/17/0403/h_1491206030_7558152_849ce981da.png

CFG + Logs: https://drive.google.com/file/d/0BygbyP4_gEiTS3hRUHVCZHhfSHc/view?usp=sharing

Reproduced in 2.0 Stable [#2281] x64 (Windows)

History

#1 - 2017-04-03 13:06 - skyjake

- Target version set to 2.0.1

#2 - 2017-04-18 19:55 - skyjake

- Target version changed from 2.0.1 to 2.0.2

#3 - 2017-06-24 09:21 - skyjake
- Target version changed from 2.0.2 to 2.0.3

#4 - 2017-07-27 12:21 - skyjake

- Target version changed from 2.0.3 to 72

#5 - 2018-10-27 16:08 - skyjake

- Target version changed from 72 to Rendering
